All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface Target

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, java.rmi.Remote, Root, SecondaryType

    public interface Target

extends SecondaryType

Represents a variable whose values are known in one or more data sets that are available (in training data, for example) but whose values are unknown in one or more future data sets (in a score data set, for example). Data mining models use data from known variables to predict the values of target variables. Used by SAS Enterprise Miner.

Attributes of Target are:

- `Event`

Associations of Target are:

- `FitStatistics`
- `OwningAnalyticColumn`
- `TextualInformationObjects`
- `Models`

## Usage

To create an instance of this Target, use the `factory` create methods.
Example: create a Target with name "Target_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Target myObject = (Target) factory.createComplexMetadataObject(objectStore, "Target_Object", MetadataObjects.TARGET, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_FITSTATISTICS_NAME` Constant used for the name of the FitStatistics association.
`static java.lang.String` | `ASSOCIATION_MODELS_NAME` Constant used for the name of the Models association.
`static java.lang.String` | `ASSOCIATION_OWNINGANALYTICCOLUMN_NAME` Constant used for the name of the OwningAnalyticColumn association.
`static java.lang.String` | `ASSOCIATION_TEXTUALINFORMATIONOBJECTS_NAME` Constant used for the name of the TextualInformationObjects association.
`static java.lang.String` | `ATTRIBUTE_EVENT_NAME` Constant used for the name of the Event attribute.

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getEvent()` Gets the `String` value of `Event`
`int` | `getEventMaxLength()` Gets the maximum length of `Event`
`int` | `getEventState()` Gets the Metadata State of `Event`
`AssociationList` | `getFitStatistics()` Gets the AssociationList of `FitStatistics`
`AssociationList` | `getFitStatistics(boolean fGoToServer)` Gets the Associationlist of `FitStatistics`
`AssociationList` | `getModels()` Gets the Association list of `Models`
`AssociationList` | `getModels(boolean fGoToServer)` Gets the Associationlist of `Models`
`AnalyticColumn` | `getOwningAnalyticColumn()` Gets the `AnalyticColumn` for `OwningAnalyticColumn`
`AssociationList` | `getOwningAnalyticColumns()` Gets the AssociationList of `OwningAnalyticColumns`
`AssociationList` | `getOwningAnalyticColumns(boolean fGoToServer)` Gets the Associationlist of `OwningAnalyticColumns`
`AssociationList` | `getTextualInformationObjects()` Gets the AssociationList of `TextualInformationObjects`
`AssociationList` | `getTextualInformationObjects(boolean fGoToServer)` Gets the Associationlist of `TextualInformationObjects`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `FitStatistics` `OwningAnalyticColumn` `TextualInformationObjects`
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are: `OwningAnalyticColumn`
`void` | `setEvent(java.lang.String inEvent)` Sets the `Event` value and sets the state to MetadataState.LOCAL.
`void` | `setEvent(java.lang.String inEvent, int state)` Sets the `Event` Metadata State.
`void` | `setEventState(int state)` Sets the Metadata State of `Event`.
`void` | `setFitStatistics(AssociationList list)` Sets the `FitStatistics` list to be `list`.
`void` | `setFitStatistics(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`void` | `setModels(AssociationList list)` Sets the `Models` list to be `list`.
`void` | `setModels(AssociationList inObjects, int state)` Sets the entire Models list to match the passed in AssociationList, sets the state of the Models
`void` | `setOwningAnalyticColumn(AnalyticColumn inObject)` Sets the `OwningAnalyticColumns` list 0th element to be `inObject`.
`void` | `setOwningAnalyticColumns(AssociationList list)` Sets the `OwningAnalyticColumns` list to be `list`.
`void` | `setOwningAnalyticColumns(AssociationList list, int state)` Sets the `OwningAnalyticColumns` list to be `list`.
`void` | `setTextualInformationObjects(AssociationList list)` Sets the `TextualInformationObjects` list to be `list`.
`void` | `setTextualInformationObjects(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_EVENT_NAME

    static final java.lang.String ATTRIBUTE_EVENT_NAME

  Constant used for the name of the Event attribute.

  Event: The value of interest. For example, if we want to use column PURCHASE as the binary target to create a predictive model and suppose that there are two values in the target: 0,1 which map to NO and YES using a format. One of the first questions that a mining tool would ask during model training is what is, "What is the value that is to be modeled. i.e., Is it YES, or is it NO?" If YES is the event, then NO is the non-event, and vice versa.

  See Also:
    Constant Field Values

### ASSOCIATION_FITSTATISTICS_NAME

    static final java.lang.String ASSOCIATION_FITSTATISTICS_NAME

  Constant used for the name of the FitStatistics association.

  FitStatistics: The fit statistics that are associated with this target.

  See Also:
    Constant Field Values

### ASSOCIATION_OWNINGANALYTICCOLUMN_NAME

    static final java.lang.String ASSOCIATION_OWNINGANALYTICCOLUMN_NAME

  Constant used for the name of the OwningAnalyticColumn association.

  OwningAnalyticColumn: The column that has a role of target.

  See Also:
    Constant Field Values

### ASSOCIATION_TEXTUALINFORMATIONOBJECTS_NAME

    static final java.lang.String ASSOCIATION_TEXTUALINFORMATIONOBJECTS_NAME

  Constant used for the name of the TextualInformationObjects association.

  TextualInformationObjects: Textual information about this target. There would be multiple text objects associated with a target. The roles would be Importance, Interaction, and Profile.

  See Also:
    Constant Field Values

### ASSOCIATION_MODELS_NAME

    static final java.lang.String ASSOCIATION_MODELS_NAME

  Constant used for the name of the Models association.

  Models: The models that act upon this target.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:
  `OwningAnalyticColumn`

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `FitStatistics`
  `OwningAnalyticColumn`
  `TextualInformationObjects`

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEvent

    java.lang.String getEvent()
                              throws java.rmi.RemoteException

  Gets the `String` value of `Event`

  Returns:
    The `Event`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEventState

    int getEventState()
                      throws java.rmi.RemoteException

  Gets the Metadata State of `Event`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEventMaxLength

    int getEventMaxLength()
                          throws java.rmi.RemoteException

  Gets the maximum length of `Event`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getFitStatistics

    AssociationList getFitStatistics()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the AssociationList of `FitStatistics`

  Returns:
    Returns the AssociationList of `FitStatistics` which can be of type:
    FitStatistic
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningAnalyticColumns

    AssociationList getOwningAnalyticColumns()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the AssociationList of `OwningAnalyticColumns`

  Returns:
    Returns the AssociationList of `OwningAnalyticColumns` which can be of type:
    AnalyticColumn
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getOwningAnalyticColumn

    AnalyticColumn getOwningAnalyticColumn()
                                           throws java.rmi.RemoteException,
                                                  MdException

  Gets the `AnalyticColumn` for `OwningAnalyticColumn`

  Returns:
    The `AnalyticColumn` ( `null` if not set) of `OwningAnalyticColumn`which can be of type:
    AnalyticColumn
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTextualInformationObjects

    AssociationList getTextualInformationObjects()
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the AssociationList of `TextualInformationObjects`

  Returns:
    Returns the AssociationList of `TextualInformationObjects` which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getModels

    AssociationList getModels()
                              throws java.rmi.RemoteException,
                                     MdException

  Gets the Association list of `Models`

  Returns:
    The AssociationList of `Models` which can be of type:
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getFitStatistics

    AssociationList getFitStatistics(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `FitStatistics`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `FitStatistics` which can be of type:
    FitStatistic
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOwningAnalyticColumns

    AssociationList getOwningAnalyticColumns(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `OwningAnalyticColumns`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `OwningAnalyticColumns` which can be of type:
    AnalyticColumn
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTextualInformationObjects

    AssociationList getTextualInformationObjects(boolean fGoToServer)
                                                 throws java.rmi.RemoteException,
                                                        MdException

  Gets the Associationlist of `TextualInformationObjects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TextualInformationObjects` which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getModels

    AssociationList getModels(boolean fGoToServer)
                              throws java.rmi.RemoteException,
                                     MdException

  Gets the Associationlist of `Models`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Models` which can be of type:
    MiningResult
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setEvent

    void setEvent(java.lang.String inEvent)
                  throws java.rmi.RemoteException

  Sets the `Event` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inEvent` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEvent

    void setEvent(java.lang.String inEvent,
                  int state)
                  throws java.rmi.RemoteException

  Sets the `Event` Metadata State.

  Parameters:
    `inEvent` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setEventState

    void setEventState(int state)
                       throws java.rmi.RemoteException

  Sets the Metadata State of `Event`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFitStatistics

    void setFitStatistics(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `FitStatistics` list to be `list`. Objects of which can be of type:
  FitStatistic

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFitStatistics

    void setFitStatistics(AssociationList inObjects,
                          int state)
                          throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningAnalyticColumns

    void setOwningAnalyticColumns(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `OwningAnalyticColumns` list to be `list`. Object of which can be of type:
  AnalyticColumn

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningAnalyticColumns

    void setOwningAnalyticColumns(AssociationList list,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `OwningAnalyticColumns` list to be `list`. Object of which can be of type:
  AnalyticColumn

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOwningAnalyticColumn

    void setOwningAnalyticColumn(AnalyticColumn inObject)
                                 throws java.rmi.RemoteException

  Sets the `OwningAnalyticColumns` list 0th element to be `inObject`.

  Parameters:
    `inObject` - AnalyticColumn
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTextualInformationObjects

    void setTextualInformationObjects(AssociationList list)
                                      throws java.rmi.RemoteException

  Sets the `TextualInformationObjects` list to be `list`. Objects of which can be of type:
  Text
  TextStore
  SASCatalogEntry
  File
  ArchiveFile
  ArchiveEntry
  Document

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTextualInformationObjects

    void setTextualInformationObjects(AssociationList inObjects,
                                      int state)
                                      throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setModels

    void setModels(AssociationList list)
                   throws java.rmi.RemoteException

  Sets the `Models` list to be `list`. Objects of which can be of type:
  MiningResult

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setModels

    void setModels(AssociationList inObjects,
                   int state)
                   throws java.rmi.RemoteException

  Sets the entire Models list to match the passed in AssociationList, sets the state of the Models

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.